import 'dart:async';

import 'package:flutter/services.dart';

class Loopboxplugin {
  static const MethodChannel _channel =
      const MethodChannel('loopboxplugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<String> startListeningNearbyDevices () async {
    String ret = await _channel.invokeMethod("startListeningNearbyDevices");
    return ret;
  }

  Future<String> openLock (id, kind, key, commandData) async {
    String ret = await _channel.invokeMethod("openLock", {
      "id": id,
      "kind": kind,
      "key": key,
      "commandData": commandData
    });
    return ret;
  }
}
